commit a85b081f790fd9fec0613366f86c3530acbc8ddf (HEAD -> refs/heads/master, refs/remotes/moria/master)
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Wed Dec 23 14:34:51 2015 -0500

    copyright update

 android/project/jni/config.h                 | 2 +-
 android/project/jni/fwknop/fwknop_client.c   | 2 +-
 android/project/jni/fwknop/fwknop_client.h   | 2 +-
 android/project/jni/fwknop/send_spa_packet.c | 2 +-
 android/project/jni/logutils.h               | 2 +-
 client/cmd_opts.h                            | 2 +-
 client/config_init.c                         | 2 +-
 client/config_init.h                         | 2 +-
 client/fwknop.c                              | 2 +-
 client/fwknop.h                              | 2 +-
 client/fwknop_common.h                       | 2 +-
 client/getpasswd.c                           | 2 +-
 client/getpasswd.h                           | 2 +-
 client/http_resolve_host.c                   | 2 +-
 client/log_msg.c                             | 2 +-
 client/log_msg.h                             | 2 +-
 client/spa_comm.c                            | 2 +-
 client/spa_comm.h                            | 2 +-
 client/utils.c                               | 2 +-
 client/utils.h                               | 2 +-
 common/common.h                              | 2 +-
 common/fko_util.c                            | 2 +-
 common/fko_util.h                            | 2 +-
 common/netinet_common.h                      | 2 +-
 iphone/Classes/fwknop/fwknop_client.c        | 2 +-
 iphone/Classes/fwknop/fwknop_client.h        | 2 +-
 iphone/Classes/fwknop/send_spa_packet.c      | 2 +-
 lib/base64.c                                 | 2 +-
 lib/base64.h                                 | 2 +-
 lib/cipher_funcs.c                           | 2 +-
 lib/cipher_funcs.h                           | 2 +-
 lib/digest.c                                 | 2 +-
 lib/digest.h                                 | 2 +-
 lib/fko.h                                    | 2 +-
 lib/fko_client_timeout.c                     | 2 +-
 lib/fko_common.h                             | 2 +-
 lib/fko_context.h                            | 2 +-
 lib/fko_decode.c                             | 2 +-
 lib/fko_digest.c                             | 2 +-
 lib/fko_encode.c                             | 2 +-
 lib/fko_encryption.c                         | 2 +-
 lib/fko_error.c                              | 2 +-
 lib/fko_funcs.c                              | 2 +-
 lib/fko_hmac.c                               | 2 +-
 lib/fko_limits.h                             | 2 +-
 lib/fko_message.c                            | 2 +-
 lib/fko_message.h                            | 2 +-
 lib/fko_nat_access.c                         | 2 +-
 lib/fko_rand_value.c                         | 2 +-
 lib/fko_server_auth.c                        | 2 +-
 lib/fko_state.h                              | 2 +-
 lib/fko_timestamp.c                          | 2 +-
 lib/fko_user.c                               | 2 +-
 lib/fko_user.h                               | 2 +-
 lib/gpgme_funcs.c                            | 2 +-
 lib/gpgme_funcs.h                            | 2 +-
 lib/hmac.c                                   | 2 +-
 lib/hmac.h                                   | 2 +-
 python/fkomodule.c                           | 2 +-
 server/access.c                              | 2 +-
 server/access.h                              | 2 +-
 server/cmd_cycle.c                           | 2 +-
 server/cmd_cycle.h                           | 2 +-
 server/cmd_opts.h                            | 2 +-
 server/config_init.c                         | 2 +-
 server/config_init.h                         | 2 +-
 server/extcmd.c                              | 2 +-
 server/extcmd.h                              | 2 +-
 server/fw_util.c                             | 2 +-
 server/fw_util.h                             | 2 +-
 server/fw_util_firewalld.c                   | 2 +-
 server/fw_util_firewalld.h                   | 2 +-
 server/fw_util_ipf.c                         | 2 +-
 server/fw_util_ipf.h                         | 2 +-
 server/fw_util_ipfw.c                        | 2 +-
 server/fw_util_ipfw.h                        | 2 +-
 server/fw_util_iptables.c                    | 2 +-
 server/fw_util_iptables.h                    | 2 +-
 server/fw_util_pf.c                          | 2 +-
 server/fw_util_pf.h                          | 2 +-
 server/fwknopd.c                             | 2 +-
 server/fwknopd.h                             | 2 +-
 server/fwknopd_common.h                      | 2 +-
 server/fwknopd_errors.c                      | 2 +-
 server/fwknopd_errors.h                      | 2 +-
 server/incoming_spa.c                        | 2 +-
 server/incoming_spa.h                        | 2 +-
 server/log_msg.c                             | 2 +-
 server/log_msg.h                             | 2 +-
 server/pcap_capture.c                        | 2 +-
 server/pcap_capture.h                        | 2 +-
 server/process_packet.c                      | 2 +-
 server/process_packet.h                      | 2 +-
 server/replay_cache.c                        | 2 +-
 server/replay_cache.h                        | 2 +-
 server/sig_handler.c                         | 2 +-
 server/sig_handler.h                         | 2 +-
 server/tcp_server.c                          | 2 +-
 server/tcp_server.h                          | 2 +-
 server/udp_server.c                          | 2 +-
 server/udp_server.h                          | 2 +-
 server/utils.c                               | 2 +-
 server/utils.h                               | 2 +-
 win32/config.h                               | 2 +-
 win32/getlogin.h                             | 2 +-
 105 files changed, 105 insertions(+), 105 deletions(-)

commit 22024febec51402f439851ad889185953c65235a
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Wed Dec 23 14:33:42 2015 -0500

    try to describe Jonathan's contributions in a better fashion

 AUTHORS | 4 ++--
 CREDITS | 2 ++
 2 files changed, 4 insertions(+), 2 deletions(-)

commit a0cac1bd1308b92adb46f5cebfb98369a8731bea
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Wed Dec 23 14:23:01 2015 -0500

    changes since 2.6.7

 ChangeLog     |   39 +-
 ChangeLog.git | 2166 +++++++++++++++++++++++----------------------------------
 2 files changed, 897 insertions(+), 1308 deletions(-)

commit 9c54d774f6bc5cdda5ea44ff2328b6004eda3526
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Wed Dec 23 11:47:17 2015 -0500

    [docs] man page updates

 client/fwknop.8.in       |  8 +++----
 doc/fwknop.man.asciidoc  | 11 +++++----
 doc/fwknopd.man.asciidoc | 57 ++++++++++++++++++++++++++++++-----------------
 server/fwknopd.8.in      | 58 ++++++++++++++++++++++++++++++++++++++++--------
 4 files changed, 97 insertions(+), 37 deletions(-)

commit fcb0102d69e23128c85749f22547d98de3b9efad
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Wed Dec 23 10:56:41 2015 -0500

    [test suite] allow for different ordering of access.conf files in %include_folder directive

 test/tests/rijndael_hmac.pl | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e2925c1f857421c5c37a790790dd1de5a2b5392b
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Tue Dec 22 03:29:07 2015 -0800

    [libfko] bump version to 2.0.4 to account for fko_set_username() crash fix

 fwknop.spec     | 12 +++++++-----
 lib/Makefile.am |  6 +++---
 2 files changed, 10 insertions(+), 8 deletions(-)

commit fb65fbe3aaf38cff7b398a0d277650a5446ec462
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Mon Dec 21 16:30:48 2015 -0800

    bump version to 2.6.8

 ChangeLog      | 2 +-
 VERSION        | 2 +-
 configure.ac   | 2 +-
 fwknop.spec    | 5 ++++-
 win32/config.h | 2 +-
 5 files changed, 8 insertions(+), 5 deletions(-)

commit b7ccfc08ac285be6f8982e2a9af880e63dfd8b74
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Mon Dec 21 11:39:14 2015 -0800

    [server] fix minor dead code discovery made by Coverity

 server/incoming_spa.c | 17 ++---------------
 1 file changed, 2 insertions(+), 15 deletions(-)

commit 88907248f7406a9bce9463fff62eddb4651f73e6
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Mon Dec 21 09:29:43 2015 -0800

    [extras] minor Coverity scan path update

 extras/coverity/coverity_scan.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c2737ee9f477ea846cae03f4ee235b27608680bf
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Mon Dec 21 00:12:12 2015 -0800

    [server] chop_char() handles file string length

 server/fwknopd.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 2b881bc8eb77613586f4f801b4038f5aa21c5d8e
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Mon Dec 21 00:10:55 2015 -0800

    [server] chop_char() handles file string length

 server/access.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit e7f18139626a283e2a8e178c63b5adfa073de1b5
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sun Dec 20 18:17:42 2015 -0800

    [test suite] implement different access stanza init strategy, 'complete cycle, include (3)' test passes now

 server/access.c             | 43 +++++++++++++++++++++++++++----------------
 server/access.h             |  1 +
 server/config_init.c        |  4 ++++
 test/test-fwknop.pl         |  2 ++
 test/tests/rijndael_hmac.pl |  1 +
 5 files changed, 35 insertions(+), 16 deletions(-)

commit dd2f4c2c3895ef41d91e1b655327a5afa4346947
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Dec 19 16:36:45 2015 -0800

    [test suite] restore args too long tests

 test/tests/rijndael_hmac_cmd_exec.pl | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5f895db744d948d849fbb753094015c13dc0cc4d
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Dec 19 16:13:23 2015 -0800

    [test suite] restore gpg home dir test

 test/tests/basic_operations.pl | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 10a2742a88afe13de815929d382168203feee9a2
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Dec 19 13:30:49 2015 -0800

    [test suite] add clean validation test for digest cache

 test/tests/basic_operations.pl | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

commit e25b78e81da03800087be613d78d8df15230a5a1
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Dec 19 05:46:36 2015 -0800

    [test suite] restore digest cache validation with a new arg --exit-parse-digest-cache

 doc/fwknopd.man.asciidoc       | 14 +++++--
 server/cmd_opts.h              | 86 +++++++++++++++++++++---------------------
 server/config_init.c           |  5 +++
 server/fwknopd.c               |  9 ++++-
 server/fwknopd_common.h        |  1 +
 test/tests/basic_operations.pl |  2 +-
 6 files changed, 69 insertions(+), 48 deletions(-)

commit 923b94bda7f4b7d0fb76bb99fe71cb08f8e240b7
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Dec 19 05:06:38 2015 -0800

    [test suite] restore pcap dispatch count test

 test/tests/basic_operations.pl | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit beaf31ad5dc1bb0c872433dba03d8c2799126f27
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Dec 19 05:01:55 2015 -0800

    [test suite] restore previous args test

 test/tests/basic_operations.pl | 1 -
 1 file changed, 1 deletion(-)

commit c0b6db20be2d55da02c51b72a10e94ffc47bbc53
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Wed Dec 16 20:26:17 2015 -0800

    [server] start on not calling strtol_wrapper() repeatedly after the config is parsed

 server/config_init.c    | 46 ++++++++++++++++++++++++++++------------------
 server/fwknopd_common.h | 12 ++++++++++++
 server/incoming_spa.c   | 20 ++++----------------
 server/pcap_capture.c   | 47 +++++------------------------------------------
 server/tcp_server.c     | 16 ++++------------
 server/udp_server.c     | 37 +++++++------------------------------
 6 files changed, 60 insertions(+), 118 deletions(-)

commit 2fad399db3d85667dfec6fb081a1b6e80549c23f
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Wed Dec 16 19:28:10 2015 -0800

    promote hex_dump() to fko_util

 client/utils.h    |  2 --
 common/fko_util.c | 41 +++++++++++++++++++++++++++++++++++++++++
 common/fko_util.h |  1 +
 server/utils.c    | 44 --------------------------------------------
 server/utils.h    |  1 -
 5 files changed, 42 insertions(+), 47 deletions(-)

commit 998fb96f0bfdb893de0b10ddfcc3cd2655abe5d2
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Wed Dec 16 18:59:10 2015 -0800

    promote argv handling functions to fko_util (avoids duplication across client and server)

 client/fwknop.c            |  4 +-
 client/http_resolve_host.c |  2 +-
 client/utils.c             | 93 ----------------------------------------------
 client/utils.h             |  2 -
 common/common.h            |  4 --
 common/fko_util.c          | 84 +++++++++++++++++++++++++++++++++++++++++
 common/fko_util.h          |  6 +++
 server/extcmd.c            |  4 +-
 server/utils.c             | 93 ----------------------------------------------
 server/utils.h             |  3 --
 10 files changed, 95 insertions(+), 200 deletions(-)

commit f230c32371667353f57206e1d52ed87c8ebe2472
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Wed Dec 16 18:00:57 2015 -0800

    promote chop_* functions into fko_util

 client/config_init.c |  1 +
 common/fko_util.c    | 33 +++++++++++++++++++++++++++++++++
 common/fko_util.h    |  4 ++++
 server/config_init.c |  6 ++----
 server/utils.c       | 30 ------------------------------
 server/utils.h       |  3 ---
 6 files changed, 40 insertions(+), 37 deletions(-)

commit fc8b2ee9c3959f5018e7b2a437f9ed754664760d
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Thu Dec 17 23:07:03 2015 -0500

    [test suite] additional %include_folder test

 test/tests/basic_operations.pl | 17 +++++++++++++++--
 1 file changed, 15 insertions(+), 2 deletions(-)

commit 8533d9d24842940d2217566f3a479684830d7f50
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Thu Dec 17 22:51:08 2015 -0500

    [server] use chop_char() to strip trailing '/' chars from directories

 server/access.c                |  9 +++-----
 server/config_init.c           |  4 ++++
 server/fwknopd.c               |  8 +++----
 test/tests/basic_operations.pl | 50 +++++++++++++++++++++++++++++++++++++++++-
 4 files changed, 59 insertions(+), 12 deletions(-)

commit 3388d85073f268134f86d318b48fc56224f0c769
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Thu Dec 17 21:27:13 2015 -0500

    Revert "[server] access_folder is guaranteed to be NULL terminated"
    
    This reverts commit 24f57f36a742458b204635cd3dbf8003fa3a3eb8.

 server/access.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 24f57f36a742458b204635cd3dbf8003fa3a3eb8 (refs/remotes/origin/master, refs/remotes/origin/HEAD)
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Tue Dec 15 11:58:33 2015 -0800

    [server] access_folder is guaranteed to be NULL terminated

 server/access.c | 8 ++------
 1 file changed, 2 insertions(+), 6 deletions(-)

commit d85b1077fbefb65f8225fa6a7759d07f6cee8882
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Tue Dec 15 11:58:12 2015 -0800

    [test suite] additional %include_folder tests

 test/tests/basic_operations.pl | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

commit 8bab3cfbe338701eacbfc85e712099e573fbd992
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Tue Dec 15 11:26:29 2015 -0800

    [test suite] exercise free_cycle_list_node()

 test/test-fwknop.pl                        | 15 +++++++++++----
 test/tests/rijndael_hmac_cmd_open_close.pl | 20 ++++++++++++++++++++
 2 files changed, 31 insertions(+), 4 deletions(-)

commit c987d9182144a337a22bcebe55951d8655f1af19
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Tue Dec 15 00:02:23 2015 -0800

    [test suite] attempt to account for systems that may run slowly (embedded systems, etc.)

 test/test-fwknop.pl | 26 +++++++++++++++++++++++---
 1 file changed, 23 insertions(+), 3 deletions(-)

commit 42fd4d6afaf92a9aa2a295973d4af3de6ec3e295
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Mon Dec 14 22:39:57 2015 -0800

    [test suite] additional FORCE_NAT code coverage

 test/tests/basic_operations.pl | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

commit 48ecba25d5098b72a1715838bf5f050a79f3611b
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Mon Dec 14 18:51:03 2015 -0800

    [test suite] asan vs. ubsan bug fix

 test/test-fwknop.pl | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 98e79396ce0e04a55b9bd1cb62e82116e584c4ef
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sun Dec 13 02:24:30 2015 -0800

    [test suite] start on --access-folder include dir test

 server/access.c                 |  10 ++++++++++
 test/conf/access-include.tar.gz | Bin 221 -> 502 bytes
 test/tests/rijndael_hmac.pl     |  12 ++++++++++++
 3 files changed, 22 insertions(+)

commit d8dc1fcdee1f386fd6ebcef0106e0165b622d804
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sun Dec 13 01:39:29 2015 -0800

    [server] add is_valid_file() function, default to lstat() instead of stat(), more %include_folder tests

 configure.ac                   |  2 +-
 server/access.c                |  5 ++---
 server/config_init.c           | 38 +++++++++++++++++++++++++++-----------
 server/utils.c                 | 30 ++++++++++++++++++++++++++++--
 server/utils.h                 |  6 ++++--
 test/tests/basic_operations.pl | 37 +++++++++++++++++++++++++++++++++++++
 6 files changed, 99 insertions(+), 19 deletions(-)

commit b305f67ca55512faa1573246d966cc447b87c910
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Dec 12 20:39:37 2015 -0800

    [test suite] start on %include_folder tests, make sure at least one valid access.conf stanza has been parsed

 Makefile.am                     |   1 +
 server/access.c                 |  23 +++++++++++++++++++++++
 server/access.h                 |   1 +
 server/fwknopd.c                |   9 +++++++++
 test/conf/access-include.tar.gz | Bin 0 -> 221 bytes
 test/test-fwknop.pl             |  17 +++++++++++------
 test/tests/basic_operations.pl  |  39 +++++++++++++++++++++++++++++++++++++--
 7 files changed, 82 insertions(+), 8 deletions(-)

commit f2e6b6cc68672fe95181ffae0e1b47053773ad83
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Dec 12 12:30:24 2015 -0800

    [server] fix directory handle leak in failure condition, switch to strlcpy and strlcat for %include folder parsing

 server/access.c | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit ba3d16c5e3361c73c2ac369e8e0fc98c27a5e3bf
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Dec 12 11:19:14 2015 -0800

    [test suite] complete cycle test from %include derived access stanza

 Makefile.am                            |  3 ++-
 test/conf/include_def_hmac_access.conf | 13 +++++++++++++
 test/test-fwknop.pl                    |  1 +
 test/tests/basic_operations.pl         | 33 ++++++++++++++++++++++++++++++++-
 test/tests/rijndael_hmac.pl            | 12 ++++++++++++
 5 files changed, 60 insertions(+), 2 deletions(-)

commit c12ecd092a811974c9977b63bf32b03e1215227a
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Dec 12 06:45:39 2015 -0800

    [test suite] interleaved access.conf %include tests

 test/tests/basic_operations.pl | 72 ++++++++++++++++++++++++++++++++++++++----
 1 file changed, 66 insertions(+), 6 deletions(-)

commit bcd0a90a185efb059ffd4d1f5ea5648c39ebd52e
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Dec 12 06:32:14 2015 -0800

    [test suite] %include missing key test

 test/tests/basic_operations.pl | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

commit 9c92a368fe9c803a7466eb945561265c78e2bafd
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Dec 12 06:27:47 2015 -0800

    [test suite] access.conf %include missing file

 test/tests/basic_operations.pl | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

commit 775792962492b6d91501ac7e785e75a02f582fee
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Dec 12 06:23:16 2015 -0800

    [test suite] multi-include non-recursive access.conf test

 Makefile.am                           |  1 +
 test/conf/include_m1_hmac_access.conf | 24 ++++++++++++++++++++++++
 test/test-fwknop.pl                   |  1 +
 test/tests/basic_operations.pl        | 12 ++++++++++++
 4 files changed, 38 insertions(+)

commit 66458dfa49ab2722700a998deac787dab0c26096
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Dec 12 06:22:40 2015 -0800

    [server] exit before writing pid file in --exit-parse-config mode

 server/fwknopd.c | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

commit b65d766d8057cdee60f40919d4bed224c505c108
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Dec 12 06:06:33 2015 -0800

    [server] minor change to use MAX_DEPTH

 server/access.c | 4 ++--
 server/access.h | 3 ++-
 2 files changed, 4 insertions(+), 3 deletions(-)

commit 5b0cfb16a0b6110ffb83ebd759f352fa9e2778e9
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Thu Dec 10 15:31:18 2015 -0800

    [test suite] add access.conf %include recursion limit test

 Makefile.am                           |  2 ++
 test/conf/include_r1_hmac_access.conf | 13 +++++++++++++
 test/conf/include_r2_hmac_access.conf | 13 +++++++++++++
 test/test-fwknop.pl                   |  2 ++
 test/tests/basic_operations.pl        | 10 ++++++++++
 5 files changed, 40 insertions(+)

commit e27e92d8270b81b181456d594532c14019a12d2f
Merge: f766723 d70e3f3
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Thu Dec 10 15:01:29 2015 -0800

    Merge branch 'master' into access_conf_includes

commit f7667239e61440d4358c76571e24f98795657cc3
Author: Jonathan Bennett <jbennett@incomsystems.biz>
Date:   Thu Dec 10 17:41:43 2015 -0600

    Add documentation for the --access-folder command line option

 doc/fwknopd.man.asciidoc | 5 +++++
 server/config_init.c     | 2 ++
 2 files changed, 7 insertions(+)

commit d70e3f3fbb15e76e1af38991dfbdc711e680d36e
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Thu Dec 10 14:36:14 2015 -0800

    [fko-wrapper] add 'usban' compilation directive

 test/fko-wrapper/Makefile | 4 ++++
 1 file changed, 4 insertions(+)

commit 885b8c3a0964f154f10045fbb4dbdbb64f2e6744
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Thu Dec 10 14:35:46 2015 -0800

    [test suite] consolidate *Sanitizer crash detection in a single function

 test/test-fwknop.pl | 45 ++++++++++++++++++++++++++++++++-------------
 1 file changed, 32 insertions(+), 13 deletions(-)

commit f0269751e6014b94498886d358c9b17672fec8ea
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Thu Dec 10 14:34:35 2015 -0800

    [test suite] fix FORCE_SNAT tests

 test/tests/basic_operations.pl | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 75b059af760f883a181f4e15ab1751c4676b5277
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Thu Dec 10 14:33:51 2015 -0800

    [test suite] use killall to ensure fwknopd is stopped between tests

 test/test-fwknop.pl                  | 7 +++++++
 test/tests/rijndael_hmac_cmd_exec.pl | 4 ++++
 2 files changed, 11 insertions(+)

commit 4cab37acf9440250a539b01a6b06657646e41d81
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Thu Dec 10 14:32:30 2015 -0800

    [test suite] client --time-offset code coverage

 test/tests/basic_operations.pl | 47 +++++++++++++++++++++++++++++++++++++-----
 1 file changed, 42 insertions(+), 5 deletions(-)

commit a0c4acd31ca9eecd8c33a07971b5fe88dfb72294
Author: Jonathan Bennett <jbennett@incomsystems.biz>
Date:   Thu Dec 10 12:45:28 2015 -0600

    Adds the --access-folder command line option

 server/access.c         |  7 +++++++
 server/access.h         |  1 +
 server/cmd_opts.h       |  3 +++
 server/config_init.c    |  3 +++
 server/fwknopd.c        | 12 +++++++++---
 server/fwknopd_common.h |  1 +
 6 files changed, 24 insertions(+), 3 deletions(-)

commit 186101d298370dbbae4b576c648b45d1ed464209
Author: Jonathan Bennett <jbennett@incomsystems.biz>
Date:   Thu Dec 10 11:16:50 2015 -0600

    Add the %include_folder directive

 server/access.c | 58 ++++++++++++++++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 55 insertions(+), 3 deletions(-)

commit d50992582283bc6b47932630d3a98383b707953a
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Wed Dec 9 18:19:42 2015 -0800

    [extras] add build support for Google's UndefinedBehaviorSanitizer

 Makefile.am                     |  1 +
 configure.ac                    | 15 ++++++++++++++-
 extras/sanitizer/asan-build.sh  |  2 +-
 extras/sanitizer/ubsan-build.sh | 15 +++++++++++++++
 4 files changed, 31 insertions(+), 2 deletions(-)

commit 60919a9141cadd958d21321462f29ccc073440fe
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Wed Dec 9 17:16:38 2015 -0800

    [test suite] make ASan error detection more generic to catch things like LeakSanitizer errors

 test/test-fwknop.pl | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 0c455ebf9c1aa80db9e8c435fb75875673815b2c
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Wed Dec 9 17:15:48 2015 -0800

    [test suite] ensure fko-wrapper passes 16-byte string to fko_set_rand_value()

 test/fko-wrapper/fko_wrapper.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit abad76521282c0c9936c147905574ebd8e49d5ec
Author: Jonathan Bennett <jbennett@incomsystems.biz>
Date:   Wed Dec 9 00:13:53 2015 -0600

    Only initialize the access stanze data on the root access.conf file.

 server/access.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit ae1e804ea1136355f6cb8f67f611c17d3aeed166
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Tue Dec 8 19:51:51 2015 -0800

    [test suite] add test for access.conf include directive

 Makefile.am                         |  3 +++
 server/access.c                     |  3 ++-
 test/conf/include1_hmac_access.conf | 12 ++++++++++++
 test/conf/include2_hmac_access.conf | 12 ++++++++++++
 test/conf/include3_hmac_access.conf | 10 ++++++++++
 test/test-fwknop.pl                 |  2 ++
 test/tests/rijndael_hmac.pl         | 19 +++++++++++++++++++
 7 files changed, 60 insertions(+), 1 deletion(-)

commit 947dbfe6ae5f6269f09b7bffa89f45644c70fcbd
Merge: 3e3bf0d 9538314
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Tue Dec 8 19:04:32 2015 -0800

    Merge branch 'master' into access_conf_includes

commit 95383149cb5020dc0ab93fe65386e548914b34df
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Tue Dec 8 19:01:53 2015 -0800

    [server] bug fix to honor CMD_EXEC_USER and CMD_SUDO_EXEC_USER vars

 server/access.c                | 12 +++++-----
 test/test-fwknop.pl            | 30 +++++++++++++++++++-----
 test/tests/basic_operations.pl | 52 ++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 82 insertions(+), 12 deletions(-)

commit 3e3bf0d1222da56cb7426e6c7eee8f4fce1e64d4
Merge: c3d50a9 4f81dd7
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Mon Dec 7 18:18:27 2015 -0800

    Merge branch 'master' into accesss_conf_includes

commit 4f81dd77476f831d72e77347357f9d1369d0b68e
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Mon Dec 7 16:51:19 2015 -0800

    [server] local NAT should not be enabled by default

 server/fw_util_firewalld.c | 21 ++++++---------------
 server/fw_util_iptables.c  | 19 +++++--------------
 server/fwknopd_common.h    |  4 ++--
 3 files changed, 13 insertions(+), 31 deletions(-)

commit 35558097cc4592ac80e36d3840ba8b6352034d9b
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Dec 5 16:07:01 2015 -0800

    [test suite] fix FORCE_NAT and FORCE_SNAT required server regex matches

 test/tests/basic_operations.pl | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a8ec29affa7128ddbc0d7db9df74246e23e79b3a
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Dec 5 16:06:25 2015 -0800

    [server] minor cleanup for incoming SPA packet processing

 server/incoming_spa.c | 43 +++++++++++++------------------------------
 1 file changed, 13 insertions(+), 30 deletions(-)

commit 51c0efb665c57fe29fd8c17b97f4417ecf8e9d61
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Dec 5 07:00:24 2015 -0800

    [test suite] minor var addition for Rijndael key existence test

 test/tests/basic_operations.pl | 1 +
 1 file changed, 1 insertion(+)

commit b6674aba6fd7a7ede69cb412b243a18e346809c7
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Dec 5 06:05:58 2015 -0800

    [server] allow ENABLE_IPT_LOCAL_NAT to enable FORCE_NAT features

 server/access.c | 20 ++++++++++++--------
 1 file changed, 12 insertions(+), 8 deletions(-)

commit 2c74372a4e8d7c730720a29ed08c50236edf8076
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Dec 5 05:50:39 2015 -0800

    [test suite] fix fko_set_username_strdup fault injection test

 test/tests/fault_injection.pl | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 793813e8effacf3c6f09ecfc5d0945eb4f4b4ec7
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Dec 5 05:46:10 2015 -0800

    [test suite] add missing coverage report to coverage_diff.py

 test/coverage_diff.py | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit 044ebf5e7358c881277da95c609ec78aeee1c05f
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Dec 5 05:36:51 2015 -0800

    [test suite] add -O and -N to coverage diff'ing utility

 test/coverage_diff.py | 21 +++++++++++++++++++--
 1 file changed, 19 insertions(+), 2 deletions(-)

commit 988075b52ba9b25cae41b31ba166e4d021c2ee38
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Fri Dec 4 19:36:51 2015 -0800

    [server] bug fix to honor client timeout SPA messages in --nat-local mode, fixes #173

 lib/fko_nat_access.c                    |  3 +-
 server/fw_util_firewalld.c              | 18 ++++++++++--
 server/fw_util_iptables.c               | 18 ++++++++++--
 server/incoming_spa.c                   | 51 +++++++++++++++++++++------------
 test/conf/firewd_local_nat_fwknopd.conf |  1 -
 test/conf/ipt_local_nat_fwknopd.conf    |  1 -
 test/tests/rijndael_hmac.pl             | 47 ++++++++++++++++++++++++++++--
 7 files changed, 109 insertions(+), 30 deletions(-)

commit d4ca18dae6e16adf889864eb55cf8910e7ba5bff
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Fri Dec 4 19:04:23 2015 -0800

    [test suite] more comprehensive code coverage driven by fko-wrapper

 test/fko-wrapper/fko_wrapper.c | 109 +++++++++++++++++++++++++++++++++--------
 1 file changed, 88 insertions(+), 21 deletions(-)

commit f89af3b8c1f803c8fed4dc27d71ce377a3716038
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Fri Dec 4 19:03:22 2015 -0800

    add libfko fko_set_username() crash ChangeLog message

 ChangeLog | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 21149faf8914dc1721ca1ec7aacacae496676cc3
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Fri Dec 4 19:01:26 2015 -0800

    [libfko] fko_set_username() crash bug fix.
    
    Bug fix for a crash in libfko that could be triggered in fko_set_username()
    when a username that is 64 chars or longer is specified. This crash
    cannot be triggered in fwknopd even if an SPA packet contains such a
    username however due to additional protections in the SPA decoding
    routines. Further, this bug does not apply to the main fwknop client
    either because the maximal username size is truncated down below 64
    bytes. Hence, this bug only applies to client-side software that is
    directly using libfko calling the fko_set_username() function.

 lib/fko_user.c                         | 16 ++++++++++------
 test/fko-wrapper/fko_fault_injection.c |  6 +++++-
 test/tests/basic_operations.pl         | 27 +++++++++++++++++++++++++++
 3 files changed, 42 insertions(+), 7 deletions(-)

commit a000bcd4a0550714c83f57897d151be46b12972d
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Fri Dec 4 18:49:24 2015 -0800

    [client] minor formatting update

 client/config_init.c | 15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)

commit c3d50a9503fad3cb66519ed20545ac8b67d6b152
Author: Jonathan Bennett <jbennett@incomsystems.biz>
Date:   Fri Dec 4 18:34:09 2015 -0600

    Unwind the recursive access.conf properly on an error
    and remove a debugging log message.

 server/access.c  | 70 +++++++++++++++++++++++++++++---------------------------
 server/access.h  |  2 +-
 server/fwknopd.c |  5 +++-
 3 files changed, 41 insertions(+), 36 deletions(-)

commit 1e34a3430c0172d06daa7dac5ef3a66e2f590de1
Author: Jonathan Bennett <jbennett@incomsystems.biz>
Date:   Fri Dec 4 18:16:57 2015 -0600

    Add access.conf %include depth tracking

 server/access.c  | 26 +++++++++++++++++---------
 server/access.h  |  6 +++++-
 server/fwknopd.c |  3 ++-
 3 files changed, 24 insertions(+), 11 deletions(-)

commit ce0b7f6727d1463c7b2e454a4f9ccb11b2875043
Author: Jonathan Bennett <jbennett@incomsystems.biz>
Date:   Thu Dec 3 19:56:39 2015 -0600

    Initial work on access.conf includes

 server/access.c  | 111 ++++++++++++++++++++++++++++++++++++-------------------
 server/access.h  |   2 +-
 server/fwknopd.c |   2 +-
 3 files changed, 74 insertions(+), 41 deletions(-)

commit c67008b6a807cb7227f1c62735aa1e792b4de60f
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Mon Nov 30 12:28:59 2015 -0800

    minor fault injection tag rework for fko_set_rand_value() and fko_set_username()

 lib/fko_user.c                         |  5 +----
 test/fko-wrapper/fko_fault_injection.c | 33 ++++++++++++++++++++++++++++-----
 test/fko-wrapper/fko_wrapper.c         |  3 ++-
 test/test-fwknop.pl                    | 20 ++++++++++++++++++++
 4 files changed, 51 insertions(+), 10 deletions(-)

commit 343d0b7f44210f66dbb8f01a40997f619bf3e405
Merge: 0adb4ac 50a5f76
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sun Nov 29 21:31:30 2015 -0500

    Merge branch 'master' of ssh://github.com/mrash/fwknop

commit 0adb4ac2ba84566aa945e808505a4fd593225fc3
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sun Nov 29 21:30:41 2015 -0500

    add -fPIC to enforce position-independent code (necessary for gcc > 5.0), fixes #170

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 50a5f76080d61e34d65e85ed6694af096b49cbc7
Merge: 8c7a007 eb88e0a
Author: Michael Rash <michael.rash@gmail.com>
Date:   Fri Nov 27 09:47:16 2015 -0500

    Merge pull request #171 from vaygr/client-timeout
    
    respect CMD_CYCLE_TIMER

commit eb88e0ab005ba8c116b007d113e495af47f66939
Author: Vlad Glagolev <vaygr@users.noreply.github.com>
Date:   Fri Nov 27 17:44:34 2015 +0300

    respect CMD_CYCLE_TIMER

 server/cmd_cycle.c | 1 +
 1 file changed, 1 insertion(+)

commit 8c7a007a4a61ab427f91af0103197978a65d52eb
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Tue Nov 17 22:41:22 2015 -0800

    [test suite] differentiate TIMEOUT vs. CLIENT_TIMEOUT values in command open close cycles

 Makefile.am                                      |  2 ++
 test/conf/hmac_cmd_open_close_cycle_access7.conf |  6 ++++
 test/conf/hmac_cmd_open_close_cycle_access8.conf |  6 ++++
 test/test-fwknop.pl                              | 35 ++++++++++++++++--------
 test/tests/rijndael_hmac_cmd_open_close.pl       | 22 +++++++++++++--
 5 files changed, 56 insertions(+), 15 deletions(-)

commit f6829fe52714c6608916029e3d4901a076b72cde
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Tue Nov 17 22:08:58 2015 -0800

    [test suite] added command cycle close NONE test

 Makefile.am                                      |  1 +
 test/conf/hmac_cmd_open_close_cycle_access6.conf |  5 +++++
 test/test-fwknop.pl                              | 11 ++++++++---
 test/tests/rijndael_hmac_cmd_open_close.pl       | 16 ++++++++++++++++
 4 files changed, 30 insertions(+), 3 deletions(-)

commit 0bf4993071fb8a2c260e50cd424a539ca9727b67
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Tue Nov 17 21:19:59 2015 -0800

    [server] minor update to replace a string compare for command cycle close exclusions

 server/access.c         | 12 ++++++++++--
 server/cmd_cycle.c      |  4 +---
 server/fwknopd_common.h |  1 +
 3 files changed, 12 insertions(+), 5 deletions(-)

commit 47663f42152dbf934fcd5d9dacd23dba7451e6f6
Merge: cfa0285 37cc375
Author: Michael Rash <michael.rash@gmail.com>
Date:   Thu Nov 19 20:55:29 2015 -0500

    Merge pull request #169 from vaygr/client-timeout
    
    added substitution support for CLIENT_TIMEOUT

commit 37cc375ea3fed917c380f07b3d9c335c1bbbc808
Author: Vlad Glagolev <vaygr@users.noreply.github.com>
Date:   Thu Nov 19 21:39:07 2015 +0300

    added substitution support for CLIENT_TIMEOUT

 server/cmd_cycle.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit cfa02859ebb9ded3ad60cae952469653256729c2
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Tue Nov 17 20:48:37 2015 -0800

    [server] don't run firewall handling code for command-only modes

 server/access.c         |  8 +++++++-
 server/fwknopd.c        |  2 +-
 server/fwknopd_common.h |  4 +++-
 server/pcap_capture.c   | 21 ++++++++++++---------
 server/udp_server.c     | 21 ++++++++++++---------
 server/utils.c          |  2 +-
 6 files changed, 36 insertions(+), 22 deletions(-)

commit 882624a2a0aae5816dd6266aa3cc8cef2282207f
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Fri Nov 13 11:18:19 2015 -0800

    [server] allow 'NONE' to short circuit close command execution

 server/access.c    |  3 ++-
 server/cmd_cycle.c | 22 +++++++++++++++-------
 2 files changed, 17 insertions(+), 8 deletions(-)

commit b0f25ae2e831d138950686bd08f83d52e768b3bb
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Fri Nov 13 08:41:39 2015 -0800

    [server] (Vlad Glagolev) Add client timeouts to command open/close cycle operations

 CREDITS                  |  1 +
 doc/fwknopd.man.asciidoc |  3 ++-
 server/cmd_cycle.c       | 19 ++++++++++++++-----
 3 files changed, 17 insertions(+), 6 deletions(-)

commit 51de939846b8ba8c43b5f2ee822a444fda571628
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Fri Nov 13 08:33:44 2015 -0800

    [test suite] add open/close --fw-timeout test

 test/tests/rijndael_hmac_cmd_open_close.pl | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit 97faa2dbdf5ba667f4902338398681e28b728bf9
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Tue Nov 10 21:40:57 2015 -0500

    minor docs update

 client/fwknop.8.in       | 11 +++++++++--
 doc/fwknopd.man.asciidoc | 18 ++++++++----------
 server/fwknopd.8.in      | 23 ++++++++++++++++++++---
 3 files changed, 37 insertions(+), 15 deletions(-)

commit 347ee048278b7e0ab78510b59c91018fb54e352b
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sun Nov 8 17:49:04 2015 -0800

    [test suite] minor rework of signals to fwknopd

 test/test-fwknop.pl | 78 +++++++++++++++++++++++++++++++++++++----------------
 1 file changed, 55 insertions(+), 23 deletions(-)

commit 8484e3ea7a3bb7d11c75128078838338bfaacef4
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Nov 7 13:35:51 2015 -0800

    [test suite] add unhandled signal (SIGTSTP) to signal handling test

 test/test-fwknop.pl | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

commit 2f49be6cb0cafd15d7d10c9322deb7a4051fb7e1
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sun Nov 1 01:58:47 2015 -0800

    [server] For SIGHUP processing, don't send the TCP server SIGTERM unless it is running

 ChangeLog           | 2 ++
 server/fwknopd.c    | 3 ++-
 test/test-fwknop.pl | 8 +++++---
 3 files changed, 9 insertions(+), 4 deletions(-)

commit d3dcfc9cf4fc21adb7c0f38f6a63d38118327362 (refs/remotes/origin/cmd_open_close_cycle)
Merge: 2101bd6 02049cb
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Oct 31 10:37:06 2015 -0700

    Merge remote-tracking branch 'origin/master' into cmd_open_close_cycle

commit 02049cb47390cfb1c7c9fa6b59f9b14fdb9c616d
Author: Damien Stuart <dstuart@dstuart.org>
Date:   Mon Nov 2 23:02:22 2015 -0500

    Added AM_CONDITIONAL to check if OS is Darwin (Apple) and not use the --whole-archive option if it is.

 configure.ac    |  4 ++++
 lib/Makefile.am | 30 +++++++++++++++++-------------
 2 files changed, 21 insertions(+), 13 deletions(-)

commit 0ef8ba5259f9bd346a60ce3be2bf685c35b5fd36
Author: Damien Stuart <dstuart@dstuart.org>
Date:   Mon Nov 2 21:41:26 2015 -0500

    Added use of --whole-archive for linking libfko_util.a to libfko.so. This takes care of the unresolved symbols (from libfko_util) when linking libfko.so.

 lib/Makefile.am | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit 2101bd63e9674c1c027cdfb98b8ab57d470c2121
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Oct 31 10:36:46 2015 -0700

    [test suite] add tests/* interface for file_find_num_matches()

 test/test-fwknop.pl         | 16 ++++++++++++++++
 test/tests/rijndael_hmac.pl |  8 ++++----
 2 files changed, 20 insertions(+), 4 deletions(-)

commit 2d65330ce7c73066252822bbb4f400f644a2d0d6
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Oct 31 06:07:27 2015 -0700

    [test suite] add a few missing test suite configs

 Makefile.am | 3 +++
 1 file changed, 3 insertions(+)

commit 0a9f4e3e59f842d5ad638d7a55232c9b557451ab
Author: Damien Stuart <dstuart@dstuart.org>
Date:   Mon Oct 26 21:20:16 2015 -0400

    Minor tweak for format fix in the gpl texinfo file

 doc/gpl-2.0.texi | 3 +++
 1 file changed, 3 insertions(+)

commit 72d6a0c01858c10d5a198407e78c10b20768fb1f
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Mon Oct 26 13:02:51 2015 -0700

    [test suite] add multi-cycle open/close command tests

 doc/fwknopd.man.asciidoc                           |  34 ++-
 server/cmd_cycle.c                                 |   1 +
 test/conf/fwknoprc_hmac_multi_base64_key           |  12 +
 .../hmac_cmd_open_close_multi_cycle_access.conf    |  20 ++
 test/test-fwknop.pl                                | 295 +++++++++++++--------
 test/tests/rijndael_hmac_cmd_open_close.pl         | 160 +++++++++--
 6 files changed, 398 insertions(+), 124 deletions(-)

commit 577c2a74a420f9e1dfba4e525c6e526c1393793e
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Oct 24 08:03:28 2015 -0400

    [test suite] add sleep_cycles key for multi-cycle tests

 test/test-fwknop.pl                        | 14 ++++++++++++--
 test/tests/rijndael_hmac_cmd_open_close.pl |  1 +
 2 files changed, 13 insertions(+), 2 deletions(-)

commit 7910658c852a3477e839335f9681086e44d2dde5
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Oct 24 07:05:29 2015 -0400

    [server] memory leak bugfix caught by multi-cycle open/close test

 server/cmd_cycle.c                         |  2 +-
 test/tests/rijndael_hmac_cmd_open_close.pl | 19 +++++++++++++++++++
 2 files changed, 20 insertions(+), 1 deletion(-)

commit 36317b59a6f1248f4c86711a5550cad6dc77acef
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Mon Oct 19 19:50:05 2015 -0700

    [test suite] add command cycle test via the UDP server

 test/tests/rijndael_hmac_cmd_open_close.pl | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 7c476a747d9a216a1cea60210370200a709bb4b7
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Mon Oct 19 20:24:34 2015 -0400

    [test suite] add hmac_cmd_open_close_cycle_access5.conf file

 test/conf/hmac_cmd_open_close_cycle_access5.conf | 6 ++++++
 1 file changed, 6 insertions(+)

commit 4909b629d5c09a7c5a57da385a9af7395f0de79b
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Mon Oct 19 20:17:44 2015 -0400

    [server] add command cycle close support to UDP server mode

 server/udp_server.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 1c33c5089e9db86d18ffd1f30b9247a4b282a920
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Mon Oct 19 20:17:17 2015 -0400

    [test suite] additional cmd cycle var substitution test

 Makefile.am                                |  1 +
 test/test-fwknop.pl                        |  1 +
 test/tests/rijndael_hmac_cmd_open_close.pl | 15 ++++++++++++++-
 3 files changed, 16 insertions(+), 1 deletion(-)

commit 3a591fbf4923bda2d3662856b0803b03d73673ae
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sun Oct 18 09:48:30 2015 -0700

    [test suite] add hmac_cmd_open_close_cycle_access4.conf file

 test/conf/hmac_cmd_open_close_cycle_access4.conf | 6 ++++++
 1 file changed, 6 insertions(+)

commit 3fb75cace33c5292459535c83cd1617d94fee6d6
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sun Oct 18 09:48:07 2015 -0700

    [test suite] add SRC,PKT_SRC,DST var subsitution test

 Makefile.am                                |  1 +
 test/test-fwknop.pl                        |  1 +
 test/tests/rijndael_hmac_cmd_open_close.pl | 17 +++++++++++++++++
 3 files changed, 19 insertions(+)

commit 7a09daba4caedb29e5d22b05886e474b6994a9ba
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sun Oct 18 09:28:48 2015 -0700

    [test suite] more command cycle tests (multiple substitution vars)

 Makefile.am                                      |  2 ++
 test/conf/hmac_cmd_open_close_cycle_access2.conf |  6 +++++
 test/conf/hmac_cmd_open_close_cycle_access3.conf |  6 +++++
 test/test-fwknop.pl                              |  3 +++
 test/tests/rijndael_hmac_cmd_open_close.pl       | 29 +++++++++++++++++++++++-
 5 files changed, 45 insertions(+), 1 deletion(-)

commit 5597730e274ae3ac736654839413d378e23c61aa
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sun Oct 18 09:13:49 2015 -0700

    [test suite] added open/close file tests

 test/conf/hmac_cmd_open_close_cycle_access.conf |  8 +++-----
 test/test-fwknop.pl                             | 22 ++++++++++++++++++++++
 test/tests/rijndael_hmac_cmd_open_close.pl      |  4 +++-
 3 files changed, 28 insertions(+), 6 deletions(-)

commit 6c0b3281145680618d788f77fec6f4d558980fda
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sun Oct 18 08:47:50 2015 -0700

    [server] fix command cycle close code to iterate through the entire list until all expiration commands have been executed

 server/cmd_cycle.c | 70 ++++++++++++++++++++++++++++++++----------------------
 1 file changed, 42 insertions(+), 28 deletions(-)

commit 17b4b3d55ebd7925734b78c3f3d7802b522dcf6e
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Oct 17 20:14:33 2015 -0700

    [server] implemented command cycle close execution and expiration

 server/cmd_cycle.c | 47 +++++++++++++++++++++++++++++++++++------------
 1 file changed, 35 insertions(+), 12 deletions(-)

commit 2b97e8b2e60a78f3de632b2c98c487841fe8e94e
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Oct 17 06:30:33 2015 -0700

    [server] command IP,SRC,PKT_SRC,DST,PORT,PROTO substitutions work for open/close cycles now

 server/cmd_cycle.c    | 215 +++++++++++++++++++++++++++++++++++++++++---------
 server/incoming_spa.c |  15 +++-
 server/utils.c        |   1 +
 3 files changed, 192 insertions(+), 39 deletions(-)

commit 32b4c5e53f74ef44243939fa8585076fe4d99f29
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Oct 17 05:27:54 2015 -0700

    [server] minor log_msg() reformatting

 server/incoming_spa.c | 15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)

commit 4587a279e12414d0083208068da9437a38159d02
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Tue Oct 13 19:17:06 2015 -0700

    [server] validate CMD_CYCLE_* vars from the access.conf file

 server/access.c                |  57 +++++++++++++++++++--
 server/fwknopd_common.h        |   2 +
 test/tests/basic_operations.pl | 111 +++++++++++++++++++++++++++++++++++++++++
 3 files changed, 167 insertions(+), 3 deletions(-)

commit d67fbde9929cd37839d9a70011955f316b548231
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Tue Oct 13 18:00:07 2015 -0700

    [server] start on command open/close cycle support (issue #117)

 ChangeLog                                       |   3 +
 Makefile.am                                     |   1 +
 server/Makefile.am                              |   2 +-
 server/access.c                                 |  28 ++++
 server/cmd_cycle.c                              | 189 ++++++++++++++++++++++++
 server/cmd_cycle.h                              |  41 +++++
 server/fwknopd_common.h                         |  20 ++-
 server/incoming_spa.c                           |  13 +-
 server/pcap_capture.c                           |   9 +-
 server/utils.c                                  |   1 +
 test/conf/hmac_cmd_open_close_cycle_access.conf |   8 +
 test/test-fwknop.pl                             |  52 ++++---
 test/tests/rijndael_hmac_cmd_open_close.pl      |  14 ++
 13 files changed, 352 insertions(+), 29 deletions(-)

commit cac6a3f726154e479b5949c25e62ea77aec8929e
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Fri Oct 9 04:42:09 2015 -0700

    [server] minor refactor for access.conf parsing

 server/access.c | 317 ++++++++++++++++++--------------------------------------
 1 file changed, 103 insertions(+), 214 deletions(-)

commit a11881433dfc3bf620b7179e10556e0827531f10
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Oct 3 06:16:47 2015 -0700

    [server] minor access.conf variable name bug fix

 server/access.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b03c007c4486b70eefc4848907821b220dcbd026
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sun Sep 27 10:17:36 2015 -0400

    [client] add --server-resolve-ipv4 to only accept IPv4 addresses from DNS for the SPA server

 client/cmd_opts.h       |  2 ++
 client/config_init.c    | 18 ++++++++++++++++++
 client/fwknop.c         |  3 ++-
 client/fwknop_common.h  |  1 +
 client/spa_comm.c       | 14 +++++++++++++-
 client/utils.c          | 23 ++++++++++++++++++-----
 client/utils.h          |  3 ++-
 doc/fwknop.man.asciidoc |  5 +++++
 8 files changed, 61 insertions(+), 8 deletions(-)

commit a4309ad7680b054463b0a6a2902a0d3697814bad (refs/remotes/origin/dstuart_refactor_autoconf)
Author: Damien Stuart <dstuart@dstuart.org>
Date:   Sat Sep 5 15:20:22 2015 -0400

    Added clean up for .gcno and .gcda files (left went c-unit-tests are enabled.

 client/Makefile.am | 2 +-
 common/Makefile.am | 3 +++
 lib/Makefile.am    | 2 +-
 server/Makefile.am | 2 +-
 4 files changed, 6 insertions(+), 3 deletions(-)

commit 24b3a216bdb6c9d4b4ba538b210b0bc7f6dc7987
Author: Damien Stuart <dstuart@dstuart.org>
Date:   Sat Sep 5 11:05:32 2015 -0400

    Updated c-unit-test README for changes in test locations. Updated autoconf files to remove references to the old c-unit-test configuration.

 Makefile.am                   |  6 +---
 configure.ac                  |  1 -
 test/c-unit-tests/Makefile.am | 74 -------------------------------------------
 test/c-unit-tests/README.md   | 17 +++++-----
 4 files changed, 10 insertions(+), 88 deletions(-)

commit 2e60687dcfdb062e639e79fbd3cc8efa316cea84
Merge: 2ea2aea 995f541
Author: Damien Stuart <dstuart@dstuart.org>
Date:   Sat Aug 29 12:46:24 2015 -0400

    Merge branch 'master' into dstuart_refactor_autoconf

commit 995f5417664e96cdaf913f9e877f8463fb50aa87
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Thu Aug 27 20:56:42 2015 -0400

    add .DS_Store files to .gitignore

 .gitignore | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 2ea2aea0bae2226bc90f6e66012a25fb1915099d
Author: Damien Stuart <dstuart@dstuart.org>
Date:   Sun May 3 09:46:37 2015 -0400

    Tweaks for unit test support

 client/Makefile.am | 5 ++++-
 lib/Makefile.am    | 3 +++
 server/Makefile.am | 2 +-
 3 files changed, 8 insertions(+), 2 deletions(-)

commit 41571a645395ee68a7cb33e575900aa17e544e83
Merge: 5c8fc63 322ae85
Author: Damien Stuart <dstuart@dstuart.org>
Date:   Wed Feb 18 23:00:25 2015 -0500

    Merge branch 'master' into dstuart_refactor_autoconf

commit 5c8fc63b894859e812acd557d4704ee22f512d4e
Author: Damien Stuart <dstuart@dstuart.org>
Date:   Tue Feb 17 14:58:08 2015 -0500

    Missed tweak on the Makefile.am file in lib.

 lib/Makefile.am | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit e4fae829bc0ef8a080c1b58e82e1b3d182a2a65c
Author: Damien Stuart <dstuart@dstuart.org>
Date:   Tue Feb 17 14:37:20 2015 -0500

    Refactor of Makefile.am files to fix issues caused by referencing source files in other directories - which broke make dist and make distclean targets.

 Makefile.am                        |   2 +-
 client/Makefile.am                 |  14 +-
 client/fwknop_utests.c             |  35 ++
 common/Makefile.am                 |   6 +-
 common/fko_util.c                  | 783 +++++++++++++++++++++++++++++++++++++
 common/fko_util.h                  |  73 ++++
 common/strlcat.c                   |  74 ++++
 common/strlcpy.c                   |  70 ++++
 lib/Makefile.am                    |   8 +-
 lib/fko_utests.c                   |  34 ++
 lib/fko_util.c                     | 783 -------------------------------------
 lib/fko_util.h                     |  73 ----
 lib/strlcat.c                      |  74 ----
 lib/strlcpy.c                      |  70 ----
 server/Makefile.am                 |  45 ++-
 server/fwknopd_utests.c            |  35 ++
 test/c-unit-tests/Makefile.am      | 148 +++----
 test/c-unit-tests/fko_utests.c     |  34 --
 test/c-unit-tests/fwknop_utests.c  |  35 --
 test/c-unit-tests/fwknopd_utests.c |  35 --
 20 files changed, 1229 insertions(+), 1202 deletions(-)
